Bio::Factory::SeqAnalysisParserFactory(3pm)

NAME
Bio::Factory::SeqAnalysisParserFactory - class capable of creating SeqAnalysisParserI compliant parsers

SYNOPSIS
    # initialize an object implementing this interface, e.g.
    $factory = Bio::Factory::SeqAnalysisParserFactory->new();
    # find out the methods it knows about
    print "registered methods: ",
          join(', ', keys %{$factory->driver_table}), "\n";
    # obtain a parser object
    $parser = $factory->get_parser(-input=>$inputobj,
                                   -params=>[@params],
                                   -method => $method);
    # $parser is an object implementing Bio::SeqAnalysisParserI
    # annotate sequence with features produced by parser
    while(my $feat = $parser->next_feature()) {
        $seq->add_SeqFeature($feat);
    }

DESCRIPTION
This is a factory class capable of instantiating SeqAnalysisParserI implementing parsers.

The concept behind this class and the interface it implements (Bio::Factory::SeqAnalysisParserFactoryI) is a generic analysis result parsing in high-throughput automated sequence annotation pipelines. See Bio::SeqAnalysisParserI for more documentation of this concept.

You can always find out the methods an instance of this class knows about by the way given in the SYNOPSIS section. By default, and assuming that the documentation is up-to-date, this will comprise of genscan, mzef, estscan, blast, hmmer, gff, and sim4 (all case-insensitive).

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Hilmar Lapp, Jason Stajich
Email Hilmar Lapp <hlapp@gmx.net>, Jason Stajich <jason@bioperl.org>

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  get_parser
 Title   : get_parser
 Usage   : $factory->get_parser(-input=>$inputobj,
                                [ -params=>[@params] ],
                                -method => $method)
 Function: Creates and returns a parser object for the given input and method.
           Both file names and streams (filehandles) are allowed.

           Parameters (-params argument) are passed on to the parser object
           and therefore are specific to the parser to be created.
 Example :
 Returns : A Bio::SeqAnalysisParserI implementing object. Exception if
           creation of the parser object fails.
 Args    : B<input>  - object/file where analysis results are coming from,
           B<params> - parameter to use when parsing/running analysis
           B<method> - method of analysis

  register_driver
 Title   : register_driver
 Usage   : $factory->register_driver("genscan", "Bio::Tools::Genscan");
 Function: Registers a driver a factory class should be able to instantiate.

           This method can be called both as an instance and as a
           class method.

 Returns :
 Args    : Key of the driver (string) and the module implementing the driver
           (string).

  driver_table
 Title   : driver_table
 Usage   : $table = $factory->driver_table();
 Function: Returns a reference to the hash table storing associations of
           methods with drivers.

           You use this table to look up registered methods (keys) and
           drivers (values).

           In this implementation the table is class-specific and
           therefore shared by all instances. You can override this in
           a derived class, but note that this method can be called
           both as an instance and a class method.

           This will be the table used by the object internally. You
           should definitely know what you're doing if you modify the
           table's contents.  Modifications are shared by _all_
           instances, those present and those yet to be created.

 Returns : A reference to a hash table.
 Args    :